local temp = os.tmpname();
local ostype = temp:sub(0, 1) == "/" and "linux" or "windows";
os.remove(temp);

require "luarocks.require"
require "json"

local inconcert_devel = os.getenv("INCONCERT_DEVEL") or os.getenv("WORKSPACE")
package.cpath = inconcert_devel .. "/bin/?." .. (ostype == "linux" and "so" or "dll") .. ";" .. package.cpath

config = { 
  cassandraport = os.getenv("CASSANDRA_PORT") or 9160,
  cassandraip = os.getenv("LOCAL_IP") or "127.0.0.1",
  redisport = os.getenv("REDIS_PORT") or 6379,
  redisip = os.getenv("LOCAL_IP") or "127.0.0.1",
  agentserviceport = os.getenv("AGENTSERVICE_PORT") or 8760,
  agentserviceip = os.getenv("LOCAL_IP") or "127.0.0.1",
	cluster = os.getenv("INCONCERT_CLUSTER") or "inconcert"
}

-- Create configuration file
configFile = {
  cassandra = { {port = tonumber(config.cassandraport), host = config.cassandraip} },
  redis = { host = config.redisip, port = tonumber(config.redisport) },
  agentservice = { host = config.agentserviceip, port = tonumber(config.agentserviceport) },
  agentServiceStrikes = 3,
  timeServers = {}
}

local function SaveProxyConfig (config)
  local configFile = io.open ("configAgentService.cfg", "w")
  configFile:write (json.encode(config))
  configFile:close()  
end


-- Run the service
SaveProxyConfig(configFile)
local pipe, err = io.popen(inconcert_devel.."/bin/agentservice"..(ostype == "linux" and "" or ".exe").." --ccfile configAgentService.cfg --ip "..config.agentserviceip.." --port "..tostring(config.agentserviceport).." --cluster "..config.cluster)
if pipe == nil then
  error(err)
end


