#!/bin/sh

cassandraPath=$1

#validate path is inside /tmp directory and a complete cassandra one
tmpDir=`echo $cassandraPath | awk -F/ '/tmp\/([^\/]*)\/apache-cassandra(.*)/ && !/awk/ {print $2}'`
if [ "$tmpDir" != "tmp" ]; then
	echo "$cassandraPath is not a cassandra temporary instance"
	exit
fi


tempPath=`dirname $cassandraPath`
cassandraPid=`ps ux | grep -v "teardown" | grep $tempPath | awk '/cassandra/ && !/awk/ {print $2}'`

if [ "$cassandraPid" ];then
	echo "Shutting down cassandra process $cassandraPid"
	kill -15 $cassandraPid
fi

echo "Deleting temporary cassandra folder $tempPath"
rm -fR $tempPath
