IDEVEL="$PWD"
LOCAL_IP="127.0.0.1"
LOCAL_PORT=`$WORKSPACE/tests/helpers/freePort.sh`
TIMESERVER_PORT=`$WORKSPACE/tests/helpers/freePort.sh`


if [ -z "$CASSANDRA_PORT" ]; then
	CASSANDRA_PORT=9160
fi
if [ -z "$REDIS_PORT" ]; then
        REDIS_PORT=6379
fi
if [ -z "$SOLR_PORT" ]; then
        SOLR_PORT=8983
fi
if [ -z "$AGENTSERVICE_PORT" ]; then
        AGENTSERVICE_PORT=8760
fi
if [ -z "$IR_PORT" ]; then
        IR_PORT=48000
fi
if [ -z "$CHAT_PORT" ]; then
        CHAT_PORT=1866
fi
if [ -z "$LUAROCKS_PATH" ]; then
				LUAROCKS_PATH=/usr/local/share/lua/5.1/
fi
if [ -z "$LUABINS_PATH" ]; then
				LUABINS_PATH="$WORKSPACE/bin"
fi


#Create server config
cd $WORKSPACE/sources/agent/serverconfig/
lua -lluarocks.require create_server_config.lua \
	--codepath $WORKSPACE/sources/inconcertwebhandler/data/lua \
	--configpath $WORKSPACE/sources/agent/serverconfig \
	--webrootpath $WORKSPACE/sources/agent/inconcert \
	--luabinpath $LUABINS_PATH \
	--listen_port $LOCAL_PORT \
	--luarockspath  $LUAROCKS_PATH \
	--luasourcepath $LUASOURCE_PATH

#Create local configuration
cd $WORKSPACE/sources/agent/serverconfig/inconcert
lua -lluarocks.require create_local_config.lua \
	--webserver_ip $LOCAL_IP \
	--webserver_port $LOCAL_PORT \
	--cassandra_ip $LOCAL_IP \
	--cassandra_port $CASSANDRA_PORT \
	--solr_ip $LOCAL_IP \
	--solr_port $SOLR_PORT \
	--redis_ip $LOCAL_IP \
	--redis_port $REDIS_PORT \
	--cluster_ip $LOCAL_IP \
	--agentservice_port $AGENTSERVICE_PORT \
	--ir_port $IR_PORT \
	--timeserver_port $TIMESERVER_PORT \
	--public_ip $LOCAL_IP \
	--repositorypath /tmp \
	--public_chat_port $CHAT_PORT \
	--chat_port $CHAT_PORT

lua $WORKSPACE/sources/agent/helpers/inconcert_data_loader.lua \
	--cassandraHost $LOCAL_IP \
	--cassandraPort $CASSANDRA_PORT \
	--redisIP $LOCAL_IP \
	--redisPort $REDIS_PORT

#Copy the certificate needed for the server SSL to start
cp $WORKSPACE/sources/inconcertwebhandler/src/server.pem $WORKSPACE/bin
cp $WORKSPACE/sources/agent/helpers/testPrivateKey.key $WORKSPACE/bin
cp $WORKSPACE/sources/agent/helpers/testPublicKey.key $WORKSPACE/bin

#Start IWH
$WORKSPACE/bin/inconcertwebhandler --configFile=$WORKSPACE/sources/agent/serverconfig/server_config.lua &

sleep 5
webHandlerPid=`ps ux | grep -v "teardown" | grep inconcertwebhandler | awk '/bin/ && !/awk/ {print $2}'`
if [ ! "$webHandlerPid" ]; then
        echo "inconcertwebhandler did not start"
        exit 1
fi


echo "Port:"$LOCAL_PORT " Path:*  PID:"$webHandlerPid
