#!/bin/sh

redisPath=$1

#validate path is inside /tmp directory and a complete redis one
tmpDir=`echo $redisPath | awk -F/ '/tmp\/([^\/]*)\/redis/ && !/awk/ {print $4}'`
if [ "$tmpDir" != "redis" ]; then
	echo "$redisPath is not a redis temporary instance"
	exit
fi

tempPath=`dirname $redisPath`
redisPid=`ps ux | grep -v "teardown" | grep $tempPath | awk '/redis/ && !/awk/ {print $2}'`

if [ "$redisPid" ];then
	echo "Shutting down redis process $redisPid"
	kill -9 $redisPid
fi

echo "Deleting temporary redis folder $tempPath"
rm -fR $tempPath
